<DOCID>1
<Date>20101001000000
<TITLE>Comparative analysis of default mode networks in major psychiatric disorders using resting-state EEG solution
<WRITER>Kang-Min Choi
<CONTENT>Default mode network (DMN) is a set of functional brain structures coherently activated when individuals are in resting-state. In this study, we constructed multi-frequency band resting-state EEG-based DMN functional network models for major psychiatric disorders to easily compare their pathophysiological characteristics. Phase-locking values (PLVs) were evaluated to quantify functional connectivity; global and nodal clustering coefficients (CCs) were evaluated to quantify global and local connectivity patterns of DMN nodes, respectively. DMNs of patients with post-traumatic stress disorder (PTSD), obsessive compulsive disorder (OCD), panic disorder, major depressive disorder (MDD), bipolar disorder, schizophrenia (SZ), mild cognitive impairment (MCI), and Alzheimer’s disease (AD) were constructed relative to their demographically-matched healthy control groups. Overall DMN patterns were then visualized and compared with each other. In global CCs, SZ and AD showed hyper-clustering in the theta band; OCD, MCI, and AD showed hypo-clustering in the low-alpha band; OCD and MDD showed hypo-clustering and hyper-clustering in low-beta, and high-beta bands, respectively. In local CCs, disease-specific patterns were observed. In the PLVs, lowered theta-band functional connectivity between the left lingual gyrus and the left hippocampus was frequently observed. Our comprehensive comparisons suggest EEG-based DMN as a useful vehicle for understanding altered brain networks of major psychiatric disorders.
<ATTACHNAME>
<ATTACHEXT>
<ATTACHCON>
<LINK>https://www.nature.com/articles/s41598-021-00975-3
<FILELINK>
<ALIAS>

<DOCID>2
<Date>20100825000000
<TITLE>Machine-learning-based diagnosis of drug-naive adult patients with attention-deficit hyperactivity disorder using mismatch negativity
<WRITER>Sungkean Kim
<CONTENT>Relatively little is investigated regarding the neurophysiology of adult attention-deficit/hyperactivity disorder (ADHD). Mismatch negativity (MMN) is an event-related potential component representing pre-attentive auditory processing, which is closely associated with cognitive status. We investigated MMN features as biomarkers to classify drug-naive adult patients with ADHD and healthy controls (HCs). Sensor-level features (amplitude and latency) and source-level features (source activation) of MMN were investigated and compared between the electroencephalograms of 34 patients with ADHD and 45 HCs using a passive auditory oddball paradigm. Correlations between MMN features and ADHD symptoms were analyzed. Finally, we applied machine learning to differentiate the two groups using sensor- and source-level features of MMN. Adult patients with ADHD showed significantly lower MMN amplitudes at the frontocentral electrodes and reduced MMN source activation in the frontal, temporal, and limbic lobes, which were closely associated with MMN generators and ADHD pathophysiology. Source activities were significantly correlated with ADHD symptoms. The best classification performance for adult ADHD patients and HCs showed an 81.01% accuracy, 82.35% sensitivity, and 80.00% specificity based on MMN source activity features. Our results suggest that abnormal MMN reflects the adult ADHD patients’ pathophysiological characteristics and might serve clinically as a neuromarker of adult ADHD.
<ATTACHNAME>
<ATTACHEXT>
<ATTACHCON>
<LINK>https://www.nature.com/articles/s41398-021-01604-3
<FILELINK>
<ALIAS>bbs

<DOCID>3
<Date>20100825000000
<TITLE>Taiwan Foreign Minister Calls US Help Critical to Deterring War with China 
<WRITER>someone
<CONTENT>As Taiwan continues to face a military threat from China, Foreign Minister Joseph Wu said this week the Taiwanese government continues to focus on its “asymmetric defense” capability — including U.S. assistance — to make it an unattractive target, despite its limited military power. Taiwan’s current strategy is to make certain “China will understand it will pay a very heavy price if it initiates conflict against Taiwan,” Wu said during a virtual event hosted by the McCain Institute for International Leadership at Arizona State University. Speaking with former U.S. Secretary of Defense Mark Esper, Wu argued for continued U.S. support of Taiwan through arms sales, military exchanges, shared intelligence, and freedom of navigation exercises in the Taiwan Strait. “We want the people here in Taiwan to be able to defend themselves if China is going to launch a war against Taiwan,” Wu said. Taiwan has lived under the threat of military action by China since China’s Nationalist Party, the Kuomintang fled the mainland after losing the Chinese civil war in 1949. While the conflict has remained largely a stalemate since then — with Beijing continuing to claim Taiwan as a province — an aggressive military modernization campaign by China means it could be able to attack Taiwan as early as 2027, according to the U.S. Defense Department. Wu said China could have the potential to attack targets other than Taiwan in the future.
<ATTACHNAME>
<ATTACHEXT>
<ATTACHCON>
<LINK>https://www.voanews.com/a/taiwan-foreign-minister-calls-us-help-critical-to-deterring-war-with-china-/6456995.html
<FILELINK>
<ALIAS>bbs
